BasiliskII(1)

NAME
BasiliskII - a 68k Macintosh emulator

SYNOPSIS
BasiliskII [--display display-name] [--break offset] [--rominfo]

DESCRIPTION
Basilisk II

is an Open Source 68k Macintosh emulator. That is, it enables you to run 68k MacOS software on you computer, even if you are using a different operating system. However, you still need a copy of MacOS and a Macintosh ROM image to use Basilisk II.

Basilisk II :

- Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5) or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1), depending on the ROM being used

- Color video display

- CD quality sound output

- Floppy disk driver (only 1.44MB disks supported)

- Driver for HFS partitions and hardfiles

- CD-ROM driver with basic audio functions

- Easy file exchange with the host OS via a "Host Directory Tree" icon on the Mac desktop

- Ethernet driver

- Serial drivers

- SCSI Manager (old-style) emulation

- Emulates extended ADB keyboard and 3-button mouse

- Uses UAE 68k emulation or (under AmigaOS and NetBSD/m68k) real 68k processor

OPTIONS

--display display-name
    specifies the display to use; see X(1)

--break offset
    specifies a ROM offset where a breakpoint will be placed (for debugging)

--rominfo
    causes Basilisk II to print some information about the ROM being used on startup (for debugging)

--help
    shows a complete list of options

FILES

/usr/share/BasiliskII/keycodes
    X server keycodes definitions.

/usr/share/BasiliskII/fbdevices
    Framebuffer device specifications.

~/.basilisk_ii_prefs
    User-specific configuration file.

~/.basilisk_ii_xpram
    Contents of Mac non-volatile RAM.

BUGS
Several. See the included "TODO" file.

SEE ALSO
http://www.uni-mainz.de/~bauec002/B2Main.html (Basilisk II homepage)

AUTHOR
Christian Bauer <Christian.Bauer@uni-mainz.de>

COPYRIGHT
Copyright © 1997-2004 Christian Bauer et al.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.